Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2226092 - pg_auto_failover: FTBFS in Fedora rawhide/f39
Summary: pg_auto_failover: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pg_auto_failover
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: mkulik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 18:56 UTC by Fedora Release Engineering
Modified: 2023-09-14 17:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-14 17:17:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 18:56 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 18:56 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 18:56 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 18:56:26 UTC
pg_auto_failover failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103666565


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix pg_auto_failover at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pg_auto_failover will be orphaned. Before branching of Fedora 40,
pg_auto_failover will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 18:56:32 UTC
Created attachment 1978671 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 18:56:36 UTC
Created attachment 1978672 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 18:56:39 UTC
Created attachment 1978673 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 08:00:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Ondřej Sloup 2023-09-14 17:17:42 UTC
PR: https://src.fedoraproject.org/rpms/pg_auto_failover/pull-request/3

FEDORA-2023-8ed5f14457 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8ed5f14457


Note You need to log in before you can comment on or make changes to this bug.